Bug 1698489 - Review Request: gnome-books - E-Book Manager
Summary: Review Request: gnome-books - E-Book Manager
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pete Walter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-10 13:11 UTC by Kalev Lember
Modified: 2019-04-13 00:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-13 00:05:24 UTC
Type: ---
walter.pete: fedora-review+


Attachments (Terms of Use)

Description Kalev Lember 2019-04-10 13:11:05 UTC
Spec URL: https://kalev.fedorapeople.org/gnome-books.spec
SRPM URL: https://kalev.fedorapeople.org/gnome-books-3.32.0-1.fc30.src.rpm

Description:
Books is a simple application to access and organize your e-books on GNOME. It is meant to be a simple and elegant replacement for using a file manager to deal with e-books.

Fedora Account System Username: kalev

Comment 1 Pete Walter 2019-04-10 13:28:43 UTC
You are missing desktop file and appdata validation. Can you add those please?

Comment 2 Kalev Lember 2019-04-10 13:49:14 UTC
* Wed Apr 10 2019 Kalev Lember <klember@redhat.com> - 3.32.0-2
- Add appdata and desktop file validation (#1698489)

Spec URL: https://kalev.fedorapeople.org/gnome-books.spec
SRPM URL: https://kalev.fedorapeople.org/gnome-books-3.32.0-2.fc30.src.rpm

Comment 3 Pete Walter 2019-04-10 14:06:33 UTC
Name matches.
License matches.
Doesn't conflict.
Builds in koji.
Packaging nice and clean.
Follows guidelines.

After importing it, can you make sure to remove the "Obsoletes: gnome-books" that Bastien Nocera added to fedora-obsolete-packages? Adding him to CC here too so he's aware.

APPROVED.

Comment 4 Kalev Lember 2019-04-10 14:10:17 UTC
Ahh, yes, will do. Thanks!

Comment 5 Gwyn Ciesla 2019-04-10 14:16:31 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/gnome-books

Comment 6 Fedora Update System 2019-04-10 15:00:59 UTC
gnome-books-3.32.0-2.fc30 fedora-obsolete-packages-30-34 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-67a68b0a42

Comment 7 Fedora Update System 2019-04-12 02:47:17 UTC
fedora-obsolete-packages-30-34, gnome-books-3.32.0-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-67a68b0a42

Comment 8 Fedora Update System 2019-04-13 00:05:24 UTC
fedora-obsolete-packages-30-34, gnome-books-3.32.0-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.